---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci get`

Get JSON of a running CI/CD pipeline on the current or other specified branch.

```plaintext
glab ci get [flags]
```

## Aliases

```plaintext
stats
```

## Examples

```plaintext
glab ci get
glab ci -R some/project -p 12345

```

## Options

```plaintext
  -b, --branch string      Check pipeline status for a branch. (Default: current branch)
  -F, --output string      Format output. Options: text, json. (default "text")
  -p, --pipeline-id int    Provide pipeline ID.
  -d, --with-job-details   Show extended job information.
      --with-variables     Show variables in pipeline. Requires the Maintainer role.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
